import { createApp } from 'vue'

import 'normalize.css'
import '~/styles/index.scss'
import 'dayjs/locale/zh-cn'

import Router from '~/router/index'
import { createPinia } from 'pinia'
import App from './App.vue'

// NOTE: register svg-icons
import 'virtual:svg-icons-register'

const pinia = createPinia()
const app = createApp(App)

app.use(Router)
app.use(pinia)

app.mount('#app')
