import { createRouter, createWebHashHistory } from "vue-router";
import config from "~/configs"

import Layout from "~/views/index.vue"

const routes = [
  {
    path: '/',
    meta: {
      title: '首页'
    },
    component: Layout,
    children: [
      {
        path: '',
        name: "Home",
        meta: {
        },
        component: () => import('~/views/index/content.vue')
      },
      {
        path: 'follow',
        name: "Follow",
        meta: {
          title: '我的关注'
        },
        component: () => import('~/views/index/follow.vue')
      }
    ]
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  document.title = `${to.meta.title} | ${config.title} `;

  //const role = localStorage.getItem('ms_username');
  // console.log("===========", role)

  // const permiss = usePermissStore();
  // console.log("to.meta.permiss==", to.meta.permiss);
  // console.log("!permiss.key.includes(to.meta.permiss)==", !permiss.key.includes(to.meta.permiss));
  next();
  /**
  if (!role && to.path !== '/login') {
      next('/login');
  } else if (to.meta.permiss && !permiss.key.includes(to.meta.permiss)) {
      // 如果没有权限，则进入403
      next('/403');
  } else {
      next();
  }
 **/
});


export default router